%define project_version 2.2-beta-5

Name:           maven-assembly-plugin
Version:        2.2
Release:        0.2.beta5%{?dist}
Summary:        Maven Assembly Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-assembly-plugin/
#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-assembly-plugin-2.2-beta-5/
#tar zcvf maven-assembly-plugin-2.2-beta-5-src.tar.gz maven-assembly-plugin-2.2-beta-5/
Source0:        %{name}-%{project_version}-src.tar.gz
Source1:        %{name}-jpp-depmap.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

Obsoletes: maven2-plugin-assembly <= 0:2.0.8
Provides:  maven2-plugin-assembly = 1:%{version}-%{release}

BuildRequires: java >= 1:1.6.0
BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires:  ant, ant-nodeps
BuildRequires:  maven2 >= 0:2.0.4-9
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-shared-filtering
BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools

BuildRequires: plexus-container-default
BuildRequires: plexus-utils
BuildRequires: plexus-active-collections
BuildRequires: plexus-maven-plugin
BuildRequires: plexus-io
BuildRequires: plexus-interpolation
BuildRequires: plexus-archiver

BuildRequires: maven-shared-file-management

BuildRequires: easymock
BuildRequires: jdom
BuildRequires: jaxen
BuildRequires: saxpath
BuildRequires: junit

Requires: java >= 1:1.6.0
Requires: easymock
Requires: jdom
Requires: jaxen
Requires: saxpath
Requires: plexus-container-default
Requires: plexus-utils
Requires: plexus-active-collections
Requires: plexus-maven-plugin
Requires: plexus-io
Requires: plexus-interpolation
Requires: plexus-archiver

Requires:          jpackage-utils >= 0:1.7.2
Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2

%description
A Maven 2 plugin to create archives of your project's sources, classes, 
dependencies etc. from flexible assembly descriptors.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:          jpackage-utils >= 0:1.7.2

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{project_version}
mkdir -p target/classes/
cp -pr src/main/resources/META-INF/ target/classes/

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

# seems koji don't have easymockclassextension
mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Dmaven.test.skip=true \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{project_version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap org.apache.maven.plugins maven-assembly-plugin %{version} JPP maven-assembly-plugin

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Jun 03 2010 Yong Yang <yyang@redhat.com> - 2.2-0.2.beta5
- Chmod 0644 for depmap.xml
- Fix Obsoletes and Provides
- Change to BR java

* Thu May 20 2010 Yong Yang <yyang@redhat.com> - 2.2-0.1.beta5
- Initial build